%define         pypiname          Shapely

Name:           python-shapely
Version:        1.7.1
Release:        %mkrel 1

Summary:        A Python package for doing geometry in the Cartesian plane
License:        BSD
Group:          Development/Python

Url:            https://pypi.python.org/pypi/Shapely
Source0:        https://pypi.python.org/pypi/Shapely/%{pypiname}-%{version}.tar.gz

BuildRequires:  geos-devel


%description
Shapely is a Python package for manipulation and analysis
of planar geometric objects. It is based on the widely deployed GEOS
(the engine of PostGIS) and JTS (from which GEOS is ported)
libraries. Shapely is not concerned with data formats or coordinate
systems, but can be readily integrated with packages that are.




%package -n python3-shapely
Summary:        Python3 implementation of Shapely
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-cython
BuildRequires:  python3-setuptools
BuildRequires:  python3-numpy-devel
Requires:       python3-numpy


%description -n python3-shapely
%{summary}.




%prep
%setup -q -n %{pypiname}-%{version}

# Remove bundled egg-info
%__rm -rf %{pypiname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-shapely
%doc LICENSE.txt README.rst CREDITS.txt
%{python3_sitearch}/shapely
%{python3_sitearch}/%{pypiname}-%{version}-py?.?.egg-info



%changelog
* Fri Sep 04 2020 eatdirt <eatdirt> 1.7.1-1.mga8
+ Revision: 1621918
- No longer a noarch package
- Upgrade to version 1.7.1

* Wed Mar 18 2020 eatdirt <eatdirt> 1.7.0-2.mga8
+ Revision: 1557788
- Specify BuildArch to noarch
- Upgrade to version 1.7.0

* Sun Feb 16 2020 umeabot <umeabot> 1.7a1-3.mga8
+ Revision: 1534937
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 tv <tv> 1.7a1-2.mga8
+ Revision: 1450209
- rebuild for python-3.8
- drop python2 subpkg

* Tue Mar 05 2019 eatdirt <eatdirt> 1.7a1-1.mga7
+ Revision: 1371689
- Upgrade to version 1.7a1

* Tue Jan 08 2019 shlomif <shlomif> 1.6.4-3.mga7
+ Revision: 1351566
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.6.4-2.mga7
+ Revision: 1300596
- Mageia 7 Mass Rebuild

* Sun May 13 2018 eatdirt <eatdirt> 1.6.4-1.mga7
+ Revision: 1229075
- Upgrade to version 1.6.4

* Fri Oct 27 2017 eatdirt <eatdirt> 1.6.2-1.mga7
+ Revision: 1173932
- imported package python-shapely

